ALT Linux Sisyphus discussions
 help / color / mirror / Atom feed
* [sisyphus] url_handler.sh bugfix and bugzilla
@ 2004-04-22 19:24 Ilia
  2004-04-22 21:03 ` Dmitry V. Levin
  0 siblings, 1 reply; 2+ messages in thread
From: Ilia @ 2004-04-22 19:24 UTC (permalink / raw)
  To: sisyphus

[-- Attachment #1: Type: text/plain, Size: 726 bytes --]

Доброго времени суток!
Заметил неудобство "конфигурабельности" с url_handler.sh, а именно, отсутствие 
обработки переменной среды $BROWSER. Нашёл аналогичную заметку в багзилле:
http://bugzilla.altlinux.ru/show_bug.cgi?id=3856
Даже исправил у себя, но как запостить bugfix?
И в какие сроки он попадёт в сизиф?


Если кому интересно, патч прилагается. Запускать:
patch -Np1 <url_handler.diff

Ниже идет словесное описание патча:
1. В файле /etc/urlview/url_handlers
вставить строку про $BROWSER перед galeon:
https_prgs=(
    "$BROWSER":VT
    /usr/bin/galeon:PW 

2. Заменить 71 строку в файле /etc/urlview/url_handler.sh
if [[ ! -x "${prog%% *}" ]]; then
на
if ! which "${prog%% *}" &>/dev/null; then

-- 
С уважением,
Илья.

[-- Attachment #2: url_handler.diff --]
[-- Type: text/x-diff, Size: 851 bytes --]

diff -Naur old/etc/urlview/url_handlers new/etc/urlview/url_handlers
--- old/etc/urlview/url_handlers	2004-04-22 22:11:45 +0300
+++ new/etc/urlview/url_handlers	2004-04-22 21:32:55 +0300
@@ -34,6 +34,7 @@
     /usr/bin/gopher:XT)
 # https_progs is a subset of http_progs, so defining https_progs first.
 https_prgs=(
+    "$BROWSER":VT
     /usr/bin/galeon:PW 
     /usr/bin/mozilla:PW 
     /usr/bin/netscape:PW 
diff -Naur old/etc/urlview/url_handler.sh new/etc/urlview/url_handler.sh
--- old/etc/urlview/url_handler.sh	2004-04-22 22:11:39 +0300
+++ new/etc/urlview/url_handler.sh	2004-04-22 22:12:01 +0300
@@ -68,7 +68,7 @@
 		tag="${ele##*:}"
 		prog="${ele%%:*}"
 		# Check that the executable is installed on this system:
-		if [[ ! -x "${prog%% *}" ]]; then
+		if ! which "${prog%% *}" &>/dev/null; then
 		    continue
 		fi
 		case "$tag" in

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [sisyphus] url_handler.sh bugfix and bugzilla
  2004-04-22 19:24 [sisyphus] url_handler.sh bugfix and bugzilla Ilia
@ 2004-04-22 21:03 ` Dmitry V. Levin
  0 siblings, 0 replies; 2+ messages in thread
From: Dmitry V. Levin @ 2004-04-22 21:03 UTC (permalink / raw)
  To: ALT Linux Sisyphus mailing list; +Cc: Ivan Zakharyaschev

[-- Attachment #1: Type: text/plain, Size: 1223 bytes --]

On Thu, Apr 22, 2004 at 10:24:04PM +0300, Ilia wrote:
> Доброго времени суток!
> Заметил неудобство "конфигурабельности" с url_handler.sh, а именно, отсутствие 
> обработки переменной среды $BROWSER. Нашёл аналогичную заметку в багзилле:
> http://bugzilla.altlinux.ru/show_bug.cgi?id=3856
> Даже исправил у себя, но как запостить bugfix?

Просто добавьте патч, который вы предлагаете, в bugzilla
(attachментом к #3856).

> И в какие сроки он попадёт в сизиф?

Если maintainer согласится с вашим предложением, то, скорее всего, быстро.

> Если кому интересно, патч прилагается. Запускать:
> patch -Np1 <url_handler.diff
> 
> Ниже идет словесное описание патча:
> 1. В файле /etc/urlview/url_handlers
> вставить строку про $BROWSER перед galeon:
> https_prgs=(
>     "$BROWSER":VT
>     /usr/bin/galeon:PW 

Это предложение спорно.  А вдруг $BROWSER не предназначен для работы по
https?

> 2. Заменить 71 строку в файле /etc/urlview/url_handler.sh
> if [[ ! -x "${prog%% *}" ]]; then
> на
> if ! which "${prog%% *}" &>/dev/null; then

А вот это мне больше нравится, особенно если вместо which использовать
заменитель, аналогичный тому, что использован в /etc/init.d/functions.


-- 
ldv

[-- Attachment #2: Type: application/pgp-signature, Size: 189 bytes --]

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2004-04-22 21:03 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2004-04-22 19:24 [sisyphus] url_handler.sh bugfix and bugzilla Ilia
2004-04-22 21:03 ` Dmitry V. Levin

ALT Linux Sisyphus discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/sisyphus/0 sisyphus/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 sisyphus sisyphus/ http://lore.altlinux.org/sisyphus \
		sisyphus@altlinux.ru sisyphus@altlinux.org sisyphus@lists.altlinux.org sisyphus@lists.altlinux.ru sisyphus@lists.altlinux.com sisyphus@linuxteam.iplabs.ru sisyphus@list.linux-os.ru
	public-inbox-index sisyphus

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.sisyphus


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git